com.holonplatform.core.property

## Interface CollectionProperty.SetProperty<T>

- Type Parameters:
    `T` - Set elements type
  All Superinterfaces:
    CollectionProperty<T,Set<T>>, ConverterExpression<Set<T>>, Expression, HasConfiguration<PropertyConfiguration>, Localizable, Property<Set<T>>, Serializable, TypedExpression<Set<T>>, Validator.Validatable<Set<T>>
  All Known Subinterfaces:
    SetPathProperty<T>, SetPathProperty.SetPathPropertyBuilder<T>
  Enclosing interface:
    CollectionProperty<E,C extends Collection<E>>

      public static interface CollectionProperty.SetProperty<T>
      extends CollectionProperty<T,Set<T>>

  A `CollectionProperty` which uses a `Set` as concrete collection type.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CollectionProperty

      `CollectionProperty.Builder<E,C extends Collection<E>,P extends CollectionProperty<E,C>,B extends CollectionProperty.Builder<E,C,P,B>>, CollectionProperty.ListProperty<T>, CollectionProperty.SetProperty<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `Property.PropertyAccessException, Property.PropertyNotFoundException, Property.PropertyReadException, Property.PropertyReadOnlyException, Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `Localizable.LocalizableBuilder, Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `Expression.ExpressionResolverFunction<E extends Expression,R extends Expression>, Expression.InvalidExpressionException`

  - ### Method Summary

    - ### Methods inherited from interface com.holonplatform.core.property.CollectionProperty

      `getElementType`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, isReadOnly, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

Copyright © 2019 The Holon Platform. All rights reserved.